org.apache.cassandra.sink

## Class SinkManager

- java.lang.Object
- - org.apache.cassandra.sink.SinkManager

-     public class SinkManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `add(IMessageSink ms)`
    `static void` | `add(IRequestSink rs)`
    `static void` | `clear()`
    `static MessageIn` | `processInboundMessage(MessageIn message, int id)`
    `static MessageOut` | `processOutboundMessage(MessageOut message, int id, java.net.InetAddress to)`
    `static IMutation` | `processWriteRequest(IMutation mutation)`
    `static void` | `remove(IMessageSink ms)`
    `static void` | `remove(IRequestSink rs)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkManager

          public SinkManager()

  - ### Method Detail

    - #### add

          public static void add(IMessageSink ms)

    - #### add

          public static void add(IRequestSink rs)

    - #### remove

          public static void remove(IMessageSink ms)

    - #### remove

          public static void remove(IRequestSink rs)

    - #### clear

          public static void clear()

    - #### processOutboundMessage

          public static MessageOut processOutboundMessage(MessageOut message,
                                          int id,
                                          java.net.InetAddress to)

    - #### processInboundMessage

          public static MessageIn processInboundMessage(MessageIn message,
                                        int id)

    - #### processWriteRequest

          public static IMutation processWriteRequest(IMutation mutation)

Copyright © 2014 The Apache Software Foundation